#include "Material.h"
#include "Renderer.h"


Material::Material(Renderer* renderer,
				   const std::string& description,
				   const std::string& mesh,
				   const std::string& material,
				   RenderTextureMode renderTextureMode):
	description(description),
	mesh(mesh),
	material(material),
	renderTextureMode(renderTextureMode)
{
}